---
api: 'Merchant API'
---

# Retrieve an order list

Retrieve all the orders that you've created. You can also use the query parameters for:

  | Filtering | Pagination |
  | --------- | ---------- |
  | Filter the orders that you want to retrieve, for example, only retrieve the orders that have a specific email. <br/><br/>Parameters used for filtering:<br/><ul><li>`from_created_date`</li><li>`to_created_date`</li><li>`customer_id`</li><li>`email`</li><li>`merchant_order_ext_ref`</li><li>`state`</li></ul> | View the orders without loading all of them at once, for example, return a specified number of orders per page. <br/><br/>Parameters used for pagination: <br/><ul><li>`limit`</li><li>`created_before`</li></ul> |

The response contains an array of simplified `Order` objects. To get the full details of an `Order` object, use the [Retrieve an order](/docs/api/merchant#retrieve-order) endpoint.

## Endpoint

GET `/api/1.0/orders`

## Parameters

### query parameters

- `limit` (integer, optional)
  The maximum number of orders returned per page. Used for **pagination**.

- `created_before` (string, optional)
  Retrieve orders with a `created_date` < `created_before`. Used for **pagination**. Use the `created_date` of the last order returned in the previous response to get to the next page.
  
  The default value is the current date and time you are calling the endpoint.

- `from_created_date` (string, optional)
  Retrieve all orders with a `created_date` ≥ `from_created_date`. Used for **filtering**.
  
  Use the [ISO date format](https://en.wikipedia.org/wiki/ISO_8601): `yyyy-MM-ddTHH:mm:ss[.SSSSSS]Z`. For example, `2021-02-10T16:59:50.886826Z`.

- `to_created_date` (string, optional)
  Retrieve all orders with a `created_date` ≤ `to_created_date`. Used for **filtering**.
  
  Use the [ISO date format](https://en.wikipedia.org/wiki/ISO_8601): `yyyy-MM-ddTHH:mm:ss[.SSSSSS]Z`. For example, `2021-02-10T16:59:50.886826Z`.

- `customer_id` (string, optional)
  Retrieve all orders that have this `customer_id` associated to them. Used for **filtering**.

- `email` (string, optional)
  Retrieve all orders that have this `email` associated to them. Used for **filtering**. 
  
  This parameter is case sensitive.

- `merchant_order_ext_ref` (string, optional)
  Merchant order ID for external reference. Use this field to filter and retrieve all the orders that have this ID. Used for **filtering**. 
  
  This parameter is case sensitive.

- `state` (array of enum, optional)
  Retrieve all orders with specific states. You can pass several states. Used for **filtering**.
  
  If multiple states are selected, for example `AUTHORISED` and `COMPLETED`, orders with either of the selected values are returned. See this example of such a request URL: 
  
  ```curl
  https://merchant.revolut.com/api/1.0/orders?state=AUTHORISED&state=COMPLETED
  ```
  
  The parameter is case sensitive.

## Returns

### 200

OK

#### Response attributes


## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad Request |
| 401 | Unauthorized |
| 404 | Not Found |
